import { Directive, forwardRef, Host, HostBinding, Inject, TemplateRef } from "@angular/core";
import { IgxTabsComponent } from "./tabs.component";
var IgxRightButtonStyleDirective = /** @class */ (function () {
    function IgxRightButtonStyleDirective(tabs) {
        this.tabs = tabs;
    }
    Object.defineProperty(IgxRightButtonStyleDirective.prototype, "visibleCSS", {
        get: function () {
            if (this.tabs.applyRightButtonVisibleStyle) {
                this.tabs.applyRightButtonHiddenStyle = false;
                this.tabs.applyRightButtonNotDisplayedStyle = false;
            }
            return this.tabs.applyRightButtonVisibleStyle;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(IgxRightButtonStyleDirective.prototype, "hiddenCSS", {
        get: function () {
            if (this.tabs.applyRightButtonHiddenStyle) {
                this.tabs.applyRightButtonVisibleStyle = false;
                this.tabs.applyRightButtonNotDisplayedStyle = false;
            }
            return this.tabs.applyRightButtonHiddenStyle;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(IgxRightButtonStyleDirective.prototype, "notDisplayedCSS", {
        get: function () {
            if (this.tabs.applyRightButtonNotDisplayedStyle) {
                this.tabs.applyRightButtonVisibleStyle = false;
                this.tabs.applyRightButtonHiddenStyle = false;
            }
            return this.tabs.applyRightButtonNotDisplayedStyle;
        },
        enumerable: true,
        configurable: true
    });
    IgxRightButtonStyleDirective.decorators = [
        { type: Directive, args: [{
                    selector: "[igxRightButtonStyle]"
                },] },
    ];
    /** @nocollapse */
    IgxRightButtonStyleDirective.ctorParameters = function () { return [
        { type: IgxTabsComponent, decorators: [{ type: Host }, { type: Inject, args: [forwardRef(function () { return IgxTabsComponent; }),] },] },
    ]; };
    IgxRightButtonStyleDirective.propDecorators = {
        "visibleCSS": [{ type: HostBinding, args: ["class.igx-tabs__header-button",] },],
        "hiddenCSS": [{ type: HostBinding, args: ["class.igx-tabs__header-button--hidden",] },],
        "notDisplayedCSS": [{ type: HostBinding, args: ["class.igx-tabs__header-button--none",] },],
    };
    return IgxRightButtonStyleDirective;
}());
export { IgxRightButtonStyleDirective };
var IgxLeftButtonStyleDirective = /** @class */ (function () {
    function IgxLeftButtonStyleDirective(tabs) {
        this.tabs = tabs;
    }
    Object.defineProperty(IgxLeftButtonStyleDirective.prototype, "visibleCSS", {
        get: function () {
            if (this.tabs.applyLeftButtonVisibleStyle) {
                this.tabs.applyLeftButtonHiddenStyle = false;
                this.tabs.applyLeftButtonNotDisplayedStyle = false;
            }
            return this.tabs.applyLeftButtonVisibleStyle;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(IgxLeftButtonStyleDirective.prototype, "hiddenCSS", {
        get: function () {
            if (this.tabs.applyLeftButtonHiddenStyle) {
                this.tabs.applyLeftButtonVisibleStyle = false;
                this.tabs.applyLeftButtonNotDisplayedStyle = false;
            }
            return this.tabs.applyLeftButtonHiddenStyle;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(IgxLeftButtonStyleDirective.prototype, "notDisplayedCSS", {
        get: function () {
            if (this.tabs.applyLeftButtonNotDisplayedStyle) {
                this.tabs.applyLeftButtonVisibleStyle = false;
                this.tabs.applyLeftButtonHiddenStyle = false;
            }
            return this.tabs.applyLeftButtonNotDisplayedStyle;
        },
        enumerable: true,
        configurable: true
    });
    IgxLeftButtonStyleDirective.decorators = [
        { type: Directive, args: [{
                    selector: "[igxLeftButtonStyle]"
                },] },
    ];
    /** @nocollapse */
    IgxLeftButtonStyleDirective.ctorParameters = function () { return [
        { type: IgxTabsComponent, decorators: [{ type: Host }, { type: Inject, args: [forwardRef(function () { return IgxTabsComponent; }),] },] },
    ]; };
    IgxLeftButtonStyleDirective.propDecorators = {
        "visibleCSS": [{ type: HostBinding, args: ["class.igx-tabs__header-button",] },],
        "hiddenCSS": [{ type: HostBinding, args: ["class.igx-tabs__header-button--hidden",] },],
        "notDisplayedCSS": [{ type: HostBinding, args: ["class.igx-tabs__header-button--none",] },],
    };
    return IgxLeftButtonStyleDirective;
}());
export { IgxLeftButtonStyleDirective };
var IgxTabItemTemplateDirective = /** @class */ (function () {
    function IgxTabItemTemplateDirective(template) {
        this.template = template;
    }
    IgxTabItemTemplateDirective.decorators = [
        { type: Directive, args: [{
                    selector: "[igxTab]"
                },] },
    ];
    /** @nocollapse */
    IgxTabItemTemplateDirective.ctorParameters = function () { return [
        { type: TemplateRef, },
    ]; };
    return IgxTabItemTemplateDirective;
}());
export { IgxTabItemTemplateDirective };
//# sourceMappingURL=tabs.directives.js.map